Package org.drinkless.tdlib

# Class TdApi.FoundPositions

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.FoundPositions

Enclosing class:
  TdApi

public static class TdApi.FoundPositions extends TdApi.Object
Contains 0-based positions of matched objects.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int[]`
  `positions`
  The positions of the matched objects.
  `int`
  `totalCount`
  Total number of matched objects.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FoundPositions()`
  Contains 0-based positions of matched objects.
  `FoundPositions(int totalCount, int[] positions)`
  Contains 0-based positions of matched objects.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### totalCount

    public int totalCount
    Total number of matched objects.

  - ### positions

    public int[] positions
    The positions of the matched objects.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### FoundPositions

    public FoundPositions()
    Contains 0-based positions of matched objects.

  - ### FoundPositions

    public FoundPositions(int totalCount, int[] positions)
    Contains 0-based positions of matched objects.
    Parameters:
      `totalCount` - Total number of matched objects.
      `positions` - The positions of the matched objects.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR